<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>最大连续子数组-暴力法</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
		function maxSubArray(arr,n){
		    var maxSum=arr[0];
		    var currSum;
		    for(var i=0;i<n;i++){
		        for(var j=i;j<n;j++){
		            currSum=0;
		            for(var k=i;k<=j;k++){
		                currSum+=arr[k];
		            }
		            if(currSum>maxSum){
		                maxSum=currSum;
		            }
		        }
		    }
		    return maxSum;
		};
		var arr=[1,-2,3,10,-4,7,2,-5];//	[3,10,-4,7,2]
		console.log(maxSubArray(arr, arr.length));
	</script>
</body>
</html>